#### D.12.6.8 coords

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  coords(f,b,i), f poly, b,i ideal

Return:
  list of numbers: the coordinates of the class of f (mod i) in the monomial basis b

Assume:
  i is a Groebner basis and b is an ordered monomial basis of r/i, r = basering

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    poly f = x3-xy+y-13+x4-y2x;
    i = std(i);
    ideal b = qbase(i);
    b;
    ==> b[1]=x3y
    ==> b[2]=x3
    ==> b[3]=x2y
    ==> b[4]=x2
    ==> b[5]=xy
    ==> b[6]=x
    ==> b[7]=y
    ==> b[8]=1
    coords(f,b,i);
    ==> [1]:
    ==> 0
    ==> [2]:
    ==> 1
    ==> [3]:
    ==> 0
    ==> [4]:
    ==> 0
    ==> [5]:
    ==> -1
    ==> [6]:
    ==> 0
    ==> [7]:
    ==> 1
    ==> [8]:
    ==> -13

See also: matbil; matmult.

User manual for Singular version 4.4.1, 2025, generated by texi2html.